package com.flyfish.framework.generation.property;

import com.flyfish.framework.domain.base.Domain;

/**
 * 字段生成策略
 *
 * @author wangyu
 */
@FunctionalInterface
public interface GenerateStrategy<T> {

    /**
     * 生成新的值
     *
     * @param domain 当前的实体数据
     * @return 结果
     */
    T generate(Domain domain);
}
