package com.flyfish.framework.beans.meta;

import jakarta.validation.Valid;
import java.lang.annotation.*;

/**
 * 标记需要解析的子bean
 * @author wangyu
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Valid
public @interface SubBean {

    /**
     * @return 查找字符串
     */
    String search() default "";

    /**
     *
     * @return 替换文字
     */
    String replacement() default "";
}
