package com.flyfish.framework.approval.domain.submit;

import lombok.Data;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 审批提交数据
 *
 * @author wangyu
 */
@Data
public class ApprovalSubmitDto {

    // 数据主键
    @NotBlank(message = "数据主键不可为空！")
    private String id;

    // 数据模块
    @NotBlank(message = "数据模块不可为空！")
    private String module;

    // 待审批人列表
    @NotEmpty(message = "待审批人不可为空！")
    private List<String> approvers;
}
